For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscriptions

Obtém todas as assinaturas da plataforma

get

Este endpoint retorna todos os cursos cadastrados na plataforma, independentemente do status. Caso não haja nenhum curso cadastrado, será retornada uma lista vazia.

Authorizations
HTTPRequired
Responses
200

The request has succeeded.

application/json
get/subscriptions
GET /api/v1/subscriptions HTTP/1.1
Host: api.themembers.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "active": 1,
      "status": "active",
      "product_id": "text",
      "payment_last_date": "text",
      "accession_date": "text",
      "expiration_date": "text",
      "cancel_date": "text",
      "product": {
        "id": "text",
        "title": "text",
        "description": "text",
        "created_at": "text",
        "updated_at": "text"
      },
      "student": {
        "id": "text",
        "first_name": "text",
        "last_name": "text",
        "full_name": "text",
        "email": "text"
      },
      "created_at": "text",
      "updated_at": "text"
    }
  ],
  "links": {
    "first": "text",
    "last": "text",
    "prev": "text",
    "next": "text"
  },
  "meta": {
    "first": "text",
    "last": "text",
    "prev": "text",
    "next": "text"
  }
}

Obtém uma assinatura por ID

get

Este endpoint retorna um assintura por ID cadastrada na plataforma, independentemente do status.

Caso a assinatura não seja encontrado, uma exception SubscriptionNotFoundException será lançada.

Authorizations
HTTPRequired
Path parameters
subscription_idstringRequired
Responses
200

The request has succeeded.

application/json
get/subscriptions/{subscription_id}
GET /api/v1/subscriptions/{subscription_id} HTTP/1.1
Host: api.themembers.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "active": 1,
    "status": "active",
    "product_id": "text",
    "payment_last_date": "text",
    "accession_date": "text",
    "expiration_date": "text",
    "cancel_date": "text",
    "product": {
      "id": "text",
      "title": "text",
      "description": "text",
      "created_at": "text",
      "updated_at": "text"
    },
    "student": {
      "id": "text",
      "first_name": "text",
      "last_name": "text",
      "full_name": "text",
      "email": "text"
    },
    "created_at": "text",
    "updated_at": "text"
  }
}

Last updated